=== debian/changelog ===
therion (0.5.1) unstable; urgency=low

  * New upstream release, Closes: #440534
  * nostrip DEB_BUILD_OPTION handling fixed, Closes: #438207
  * Build-deps corrected, Closes: #458759

 -- Wookey <wookey@debian.org>  Tue, 01 Jan 2008 02:33:17 +0000

therion (0.5.0-2) unstable; urgency=low

  * (Long overdue) Upload to unstable
  * Closes: #413417
  * Closes: #414702

 -- Wookey <wookey@debian.org>  Tue, 01 Jan 2008 02:32:20 +0000

therion (0.5.0-1) experimental; urgency=low

  * New upstream release
  * Changed packaging to use dbs in order to combine wikidocs tarball nicely

 -- Wookey <wookey@debian.org>  Sun,  4 Feb 2007 01:05:44 +0000

therion (0.4.1~pre20061223-3) unstable; urgency=low

  * Remove need for czech/slovak fonts by default

 -- Wookey <wookey@debian.org>  Mon,  3 Jan 2007 17:15:43 +0100

therion (0.4.1~pre20061223-2) unstable; urgency=low

  * Add Texlive dependencies
  * Closes: #356368 

 -- Wookey <wookey@debian.org>  Mon,  1 Jan 2007 20:25:43 +0100

therion (0.4.1~pre20061223-1) unstable; urgency=low

  * New upstream not-actually-released release - adds area bedrock

 -- Wookey <wookey@debian.org>  Mon,  1 Jan 2007 19:21:43 +0100

therion (0.4.1~pre20061221-1) unstable; urgency=low

  * New upstream release
  * therion-viewer package added for new model-viewer
  * Policy updated to 3.7.2
  * Makefiles simplified and minimised
  * Therion wiki static export included (Oct 2006)
  * Docs moved off into doc package

 -- Wookey <wookey@debian.org>  Tue,  3 Oct 2006 02:38:33 +0100

therion (0.3.10-3) unstable; urgency=low

  * Add recommends for libtk-img library to allow use of PNGs and JPEGs
  * Minor thbook clarification in map-header

 -- Wookey <wookey@debian.org>  Tue, 19 Sep 2006 02:21:27 +0100

therion (0.3.10-2) unstable; urgency=low

  * therion_0.3.10-1(amd64/unstable): FTBFS: thlocale.h:22: error: extra
    qualification 'thlocale::' on member 'format_human_length' (Closes:
    #372931)

 -- Wookey <wookey@debian.org>  Sun,  9 Jul 2006 01:23:45 +0100
 

therion (0.3.10-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Sun,  12 Jun 2006 01:22:30 +0100

therion (0.3.9-5) unstable; urgency=low

  * apply fixes for gcc4.1 FTBFS closes:356875

 -- Wookey <wookey@debian.org>  Wed, 15 Mar 2006 17:57:47 +0000

therion (0.3.9-4) unstable; urgency=low

  * Updated debhelper build-dep to correct minimum version

 -- Wookey <wookey@debian.org>  Wed,  1 Feb 2006 13:33:34 +0000

therion (0.3.9-3) unstable; urgency=low

  * Fix lintian errors

 -- Wookey <wookey@debian.org>  Thu, 19 Jan 2006 02:32:53 +0000
