=== debian/control ===
Source: therion
Section: science
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>> 5.0.0), dbs, perl (>= 5.5), docbook-to-man, texlive-base, tcl8.4 | tclsh, libvtk5-dev, libwxgtk2.6-dev, libfreetype6-dev, libjpeg62-dev, libpng12-dev
Standards-Version: 3.7.2

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.4 | wish, texlive-base, texlive-metapost, bwidget
Recommends: evince | pdf-viewer, libtk-img, therion-viewer
Suggests: survex-aven, texlive-lang-czechslovak
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are done
 over scans and can be distorted to fit the centreline data. Output is in single
 sheet or atlas style PDF files. All data is stored in text files and a map 
 editor (xtherion) is provided to aid in the creation of the files. Therion can 
 also produce 3D models, generated from walls and passage-heights. Output formats 
 supported are .3d files, VRML, DXF, and the native .thm (therion model). Therion is 
 compatible with Survex and uses it for the centreline processing. Centreline data 
 can be stored in Survex or therion form. 
 .
 TeX and metapost are used to generate the images. libtk-img is needed to use scans in 
 formats other than GIF and PNM (such as PNG and JPEG).
 .
 The example files use czech/slovak names so you will need texlive-lang-czechslovak 
 (or tetex-extra) to process them.

Package: therion-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, therion
Description: Cave surveying - 3D viewer for therion models
 Therion is cave-survey drawing and modelling software. This package contains 
 the 3D model viewer for therion models produced by version 0.4 or later.
 
Package: therion-doc
Architecture: all
Recommends: therion 
Replaces: therion (<< 0.5.0)
Description: Documentation for Therion Cave surveying software
 Therion is cave-survey drawing and modelling software. This package
 includes the thbook which is the specification for the therion data
 description language, and all the wiki documentation including the
 excellent guide 'Therion by Example' (in English and Czech) and
 'Therion for Cavers' (in English and Spanish), along with numerous FAQ
 and tips items.
