=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

#dbs rules
TAR_DIR = therion
include /usr/share/dbs/dbs-build.mk
# convenient way to set architecture specification strings
# the ifeq condition is here to allow them to be overridden
# from the command line
ifeq (,$(DEB_BUILD_GNU_TYPE))
  include /usr/share/dbs/dpkg-arch.mk
endif
 

configure: configure-stamp
configure-stamp: $(patched)
	dh_testdir
	# Add here commands to configure the package.										                                                    --mandir=/usr/share/man
																    
	touch configure-stamp


build: build-stamp $(patched)

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd $(BUILD_TREE) && $(MAKE)
	/usr/bin/docbook-to-man debian/manloch.sgml > $(BUILD_TREE)/man/loch.1
	ln -sf loch.1 $(BUILD_TREE)/man/therion-viewer.1
	# create therion.ini file:
	cd $(BUILD_TREE) && $(MAKE) init 
	cd $(BUILD_TREE) && $(MAKE) doc
	#we should generate html of thbook here too if possible

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/therion.
#this stuff no longer needed from 0.2.14
#but it would be nice to put it back
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/metapost/therion
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/tex/therion
#	install -p -o root -g root -m 644 mpost/*.mp debian/therion/usr/share/texmf/metapost/therion/
#	install -p -o root -g root -m 644 tex/*.tex debian/therion/usr/share/texmf/tex/therion/
	dh_install --sourcedir=$(BUILD_TREE)
	dh_installdocs $(BUILD_TREE)/README
	dh_installdocs -ptherion-doc  $(BUILD_TREE)/thbook/thbook.pdf  $(BUILD_TREE)/wikidocs
	dh_installdocs -ptherion-viewer $(BUILD_TREE)/loch/help/en/loch.htm
	dh_installexamples --exclude=.tcl --exclude=Makefile $(BUILD_TREE)/samples $(BUILD_TREE)/thconfig $(BUILD_TREE)/therion.ini
	dh_installmenu
	dh_installmime
	dh_installman -ptherion $(BUILD_TREE)/man/therion.1 $(BUILD_TREE)/man/xtherion.1
	dh_installman -ptherion-viewer $(BUILD_TREE)/man/loch.1 $(BUILD_TREE)/man/therion-viewer.1
	dh_installchangelogs $(BUILD_TREE)/CHANGES
	dh_strip
	dh_compress -X.pdf -X.th -X.th2 -Xthconfig
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

get-orig-source: 
	wget -nc -nd http://therion.speleo.sk/download.php?package=therion
