## therion 0.5.1+nmu1

=== debian/changelog ===
therion (0.5.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility (Closes: #462565)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 20 Mar 2008 02:06:17 +0100
