## therion 5.2.8-1build1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
   extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
-  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o \
+  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
   therion.o extern/proj4/libproj.a 
 
 # PLATFORM CONFIG
@@ -132,7 +132,7 @@
 	./therion --print-init-file > therion.ini
 
 install: all
-	perl makeinstall.pl $(THPLATFORM)
+	tclsh makeinstall.tcl $(THPLATFORM)
 
 
 release:
@@ -169,6 +169,13 @@
 
 doc: thbook/thbook.pdf
 
+thbook: thbook/thbook.pdf
+
+samples: samples.doc/index.tex
+
+samples.doc/index.tex:
+	make -C ./samples
+
 thbook/thbook.pdf: thbook/*.tex
 	make -C ./thbook
   
@@ -177,7 +184,7 @@
 	make -C ./loch clean
 	make -C ./samples clean
 	make -C ./extern/proj4 clean
-	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~
+	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat
 	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
 	perl makefile.pl rm -q extern/*.o extern/*~ samples/*~ samples/*.log
 	perl makefile.pl rm -q symbols.html therion.res
@@ -256,20 +263,20 @@
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thchenc.h thchencdata.h thexception.h thsymbolset.h \
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thexception.h thsymbolset.h \
   thsymbolsetlist.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thchenc.h thchencdata.h thexception.h thexpmap.h thexport.h \
-  thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
-  thlangdata.h thline.h
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thexception.h thexpmap.h \
+  thexport.h thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h \
+  thlang.h thlangdata.h thline.h
 thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
   thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
 thbezier.o: thbezier.cxx thbezier.h
@@ -284,56 +291,54 @@
   thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
 thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
   thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
-  thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
-  thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thdatareader.h thcsdata.h thproj.h thlogfile.h thgeomag.h \
-  thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h \
-  thsketch.h thpic.h
+  thlang.h thlangdata.h thchenc.h thchencdata.h thexception.h \
+  thdatabase.h thdataobject.h thperson.h thdate.h thdataleg.h \
+  thobjectname.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h thattr.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thdatareader.h \
+  thcsdata.h thproj.h thlogfile.h thgeomag.h thgeomagdata.h thlayout.h \
+  thsymbolset.h thsymbolsetlist.h thlocale.h thsketch.h thpic.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
   thpdfdata.h thepsparse.h thtexfonts.h
 thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
   thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
   therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h thchenc.h \
-  thchencdata.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
+  thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
+  thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
   thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h thgrade.h \
   thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thscrap.h \
   thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h thline.h \
   tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
 thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
   thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
-  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thdb2d.h \
-  thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h \
-  thchenc.h thchencdata.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
+  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thattr.h \
+  thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h \
+  thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
+  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
+  thscrapen.h thscraplp.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
   thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h thinput.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
   thobjectname.h therion.h thobjectsrc.h thinfnan.h
 thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
   thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
-  thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h thchenc.h \
-  thchencdata.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
+  thobjectname.h therion.h thobjectsrc.h thdb3d.h thattr.h thchenc.h \
+  thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
+  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
+  thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
+  thscraplp.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
   thexporter.h thexport.h thselector.h thcsdata.h thproj.h
 thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
   thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
   thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thchenc.h thchencdata.h thinput.h thexception.h
+  thobjectid.h thdb3d.h thattr.h thchenc.h thchencdata.h thdb2d.h \
+  thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thinput.h thexception.h
 thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
