=== loch/help/Makefile ===
all:
	make -i -C ./en
	make -i -C ./sk
