=== debian/changelog ===
therion (5.2.8-1build1) karmic; urgency=low

  * No change rebuild for vtk transition

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Aug 2009 10:51:39 -0400

therion (5.2.8-1) unstable; urgency=low

  * New upstream release
  * Limited cross-build support

 -- Wookey <wookey@debian.org>  Tue, 28 Apr 2009 03:03:54 +0100

therion (0.5.1-2) unstable; urgency=low

  * Fix lintian warnings, updating to Debian Policy v2.7.3
  * Build HTML version of samples and include in therion-doc

 -- wookey <wookey@debian.org>  Thu, 03 Jan 2008 04:35:28 +0000
