=== debian/changelog ===
therion (5.2.8-1build2) maverick; urgency=low

  * No change rebuild for vtk transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Aug 2010 22:16:35 -0400
