=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,12 @@
 	ln -sf loch.1 $(BUILD_TREE)/man/therion-viewer.1
 	# create therion.ini file:
 	cd $(BUILD_TREE) && $(MAKE) init 
-	cd $(BUILD_TREE) && $(MAKE) doc
+	# If cross-building skip sample-generation as uses just-built therion
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	# create samples HTML documentation
+	cd $(BUILD_TREE) && $(MAKE) samples
+endif
+
 	#we should generate html of thbook here too if possible
 
 	touch build-stamp
@@ -74,7 +79,12 @@
 	dh_install --sourcedir=$(BUILD_TREE)
 	dh_installdocs $(BUILD_TREE)/README
 	dh_installdocs -ptherion-doc  $(BUILD_TREE)/thbook/thbook.pdf  $(BUILD_TREE)/wikidocs
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	dh_installdocs -ptherion-doc $(BUILD_TREE)/samples.doc
+endif
 	dh_installdocs -ptherion-viewer $(BUILD_TREE)/loch/help/en/loch.htm
+	#we need to clear out large generated files from samples before putting just source files in main package
+	cd $(BUILD_TREE)/samples && $(MAKE) clean
 	dh_installexamples --exclude=.tcl --exclude=Makefile $(BUILD_TREE)/samples $(BUILD_TREE)/thconfig $(BUILD_TREE)/therion.ini
 	dh_installmenu
 	dh_installmime
